Entur Developer
Products

round-trips

Server

Retrieves all round trips

GET
https://api.entur.io/products
/round-trips

Retrieves all round trips › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify a organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify dataset to an organization

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrieves all round trips › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all round trips › Responses

Returns the info

No data returned

Create a roundtrip

POST
https://api.entur.io/products
/round-trips

Create a roundtrip › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a roundtrip › Request Body

A RoundTrip create request
doubleSingleFare
​boolean · required

Double single fare

Example: true
​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id

Example: NSB:RoundTrip:Child
isRequired
​boolean · required

Is required.

​TextInLanguage[] · required

Round trip Name represented in different languages. Language codes are ISO-639.

shortTrip
​boolean · required

Short trip

Example: true
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Round trip version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

Example: NSB:Version:V1
derivedFromVersionRef
​string

Derived from version.

Example: NSB:Version:V1
​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​VersionOfObjectRef[]

References to fare tables that provide prices or discounts for the round trip.

​VersionOfObjectRef

Fare frame ref.

​FarePrice[]

Fare prices for the round trip.

required
​boolean
tripType
​string · enum

Type of round trip

Enum values:
SINGLE
RETURN
RETURN_ONLY
MULTIPLE
typeOfUsageParameter
​string

typeOfUsageParameter.

​ValidityCondition[]

Validity conditions for the round trip.

Create a roundtrip › Responses

Entity created successfully

No data returned

Retrives a roundtrip by id

GET
https://api.entur.io/products
/round-trips/{id}

Retrives a roundtrip by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a roundtrip

Retrives a roundtrip by id › query Parameters

version
​string · style: form · explode: true

The id for the version of the roundtrip

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrives a roundtrip by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrives a roundtrip by id › Responses

Returns the info

A RoundTrip
changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

doubleSingleFare
​boolean · required

Double single fare

Example: true
​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:RoundTrip:Child
isRequired
​boolean · required

Is required.

modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: RoundTrip
shortTrip
​boolean · required

Short trip

Example: true
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

RoundTrip version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​VersionOfObjectRef[]

References to fare tables that provide prices or discounts for the round trip.

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

RoundTrip Name represented in different languages. Language codes are ISO-639.

​FarePrice[]

Fare prices for the round trip.

required
​boolean
tripType
​string · enum

Type of round trip

Enum values:
SINGLE
RETURN
RETURN_ONLY
MULTIPLE
typeOfUsageParameter
​string

typeOfUsageParameter.

​ValidityCondition[]

Validity conditions for the round trip.


Retrives a roundtrip by id and version

GET
https://api.entur.io/products
/round-trips/{id}/{version}

Retrives a roundtrip by id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a roundtrip

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the roundtrip

Retrives a roundtrip by id and version › query Parameters

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrives a roundtrip by id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrives a roundtrip by id and version › Responses

Returns the info

A RoundTrip
changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

doubleSingleFare
​boolean · required

Double single fare

Example: true
​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:RoundTrip:Child
isRequired
​boolean · required

Is required.

modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: RoundTrip
shortTrip
​boolean · required

Short trip

Example: true
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

RoundTrip version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​VersionOfObjectRef[]

References to fare tables that provide prices or discounts for the round trip.

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

RoundTrip Name represented in different languages. Language codes are ISO-639.

​FarePrice[]

Fare prices for the round trip.

required
​boolean
tripType
​string · enum

Type of round trip

Enum values:
SINGLE
RETURN
RETURN_ONLY
MULTIPLE
typeOfUsageParameter
​string

typeOfUsageParameter.

​ValidityCondition[]

Validity conditions for the round trip.


Update a round trips

PUT
https://api.entur.io/products
/round-trips/{id}/{version}

Update a round trips › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a roundtrip

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the roundtrip

Update a round trips › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a round trips › Request Body

A RoundTrip create request
doubleSingleFare
​boolean · required

Double single fare

Example: true
​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id

Example: NSB:RoundTrip:Child
isRequired
​boolean · required

Is required.

​TextInLanguage[] · required

Round trip Name represented in different languages. Language codes are ISO-639.

shortTrip
​boolean · required

Short trip

Example: true
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Round trip version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

Example: NSB:Version:V1
derivedFromVersionRef
​string

Derived from version.

Example: NSB:Version:V1
​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​VersionOfObjectRef[]

References to fare tables that provide prices or discounts for the round trip.

​VersionOfObjectRef

Fare frame ref.

​FarePrice[]

Fare prices for the round trip.

required
​boolean
tripType
​string · enum

Type of round trip

Enum values:
SINGLE
RETURN
RETURN_ONLY
MULTIPLE
typeOfUsageParameter
​string

typeOfUsageParameter.

​ValidityCondition[]

Validity conditions for the round trip.

Update a round trips › Responses

Entity updated successfully

No data returned

Retrieves a round trips by id

GET
https://api.entur.io/products
/v1/round-trips/{id}

Retrieves a round trips by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a round trips

Retrieves a round trips by id › query Parameters

startDate
​string · style: form · explode: true
endDate
​string · style: form · explode: true
status
​string · style: form · explode: true

The version status of the round trips

fromDate
​string · style: form · explode: true

The from date of the round trips version

toDate
​string · style: form · explode: true

The to date of the round tripss version

Retrieves a round trips by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a round trips by id › Responses

Returns the info

​RoundTrip[]
A RoundTrip
changed
​string · date-time · required

Changed datetime.

created
​string · date-time · required

Created datetime.

doubleSingleFare
​boolean · required

Double single fare

Example: true
​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:RoundTrip:Child
isRequired
​boolean · required

Is required.

modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: RoundTrip
shortTrip
​boolean · required

Short trip

Example: true
status
​string · enum · required

Status

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

RoundTrip version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

​VersionOfObjectRef[]

References to fare tables that provide prices or discounts for the round trip.

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

RoundTrip Name represented in different languages. Language codes are ISO-639.

​FarePrice[]

Fare prices for the round trip.

required
​boolean
tripType
​string · enum

Type of round trip

Enum values:
SINGLE
RETURN
RETURN_ONLY
MULTIPLE
typeOfUsageParameter
​string

typeOfUsageParameter.

​ValidityCondition[]

Validity conditions for the round trip.


Did you find what you were looking for?